Skip to main content
GET
/
api
/
customer
/
{customerId}
Get customer by ID
curl --request GET \
  --url https://api.suby.fi/api/customer/{customerId} \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "clx_abc123",
    "email": "customer@example.com",
    "name": "John Doe",
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-03-01T14:00:00.000Z",
    "payments": [
      {
        "id": "pay_xyz789",
        "status": "TX_SUCCESS",
        "productId": "pro_abc123",
        "method": "WALLET_CONNECT",
        "currency": "USDC",
        "amount": "999000000",
        "decimals": 6,
        "valueUsd": "999",
        "createdAt": "2026-03-01T14:00:00.000Z",
        "updatedAt": "2026-03-01T14:05:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 42,
      "totalPages": 2
    }
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication. Include your API key in the X-Suby-Api-Key header:

X-Suby-Api-Key: your_api_key_here

Path Parameters

customerId
string
required

Unique customer identifier

Query Parameters

page
integer
default:1

Page number for payment history pagination

Required range: x >= 1
limit
integer
default:25

Payments per page (maximum 25)

Required range: 1 <= x <= 25

Response

Customer details retrieved successfully

success
boolean
Example:

true

data
object

Customer profile with paginated payment history